#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-7UN9JZFLsNG7MKq3sSqAAX
key:                  lsp-1.6.0.0-7UN9JZFLsNG7MKq3sSqAAX
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  6f20fc26ee412769056a338ff0711cfe
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.0-B6yJZGPzsq8YQYNPVCLr4:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.0-B6yJZGPzsq8YQYNPVCLr4:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.0-B6yJZGPzsq8YQYNPVCLr4:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-7UN9JZFLsNG7MKq3sSqAAX
depends:
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np
    async-2.2.5-ISASXWQBo5t2kHzwBCdXKD
    attoparsec-0.14.4-EMhx65X4PEhKEPT12wcqai base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-Hc3tJEmskZXBOb1UrZ8GYR
    containers-0.6.5.1 data-default-0.7.1.1-HcuW2hRxvD847K0VTSuNyE
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-1shJtFAyUDm6YNVMIOxWfw
    lens-5.2.3-2JZ3XKI9X344dVlwCAi4Go
    lsp-types-1.6.0.0-B6yJZGPzsq8YQYNPVCLr4 mtl-2.2.2
    prettyprinter-1.7.1-L4l2g2kwtffKsqLbHdXEGp
    random-1.2.1.2-9cGKz2N6Xs0EPg4VyoTasz
    sorted-list-0.2.2.0-MjsxD74ZoKBLkjibB24v1 stm-2.5.0.2
    temporary-1.3-5DXvPPCb7rKJ7qxYJfJo8P text-1.2.5.0
    text-rope-0.3-GsFAl58zS6RDKdzSqafO9r transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah
    uuid-1.3.15-6cAQWrluJFhLi2LWnwEdPh

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

